Package org.eclipse.unittest.model

## Interface ITestCaseElement

All Superinterfaces:
  `ITestElement`

    public interface ITestCaseElement
    extends ITestElement

Represents a test case element.

This interface is not intended to be implemented by clients.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.unittest.model.ITestElement

`ITestElement.FailureTrace, ITestElement.Result`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isDynamicTest()` Indicates if the test case is dynamic
`boolean` `isIgnored()` Indicates if the test case was ignored

### Methods inherited from interface org.eclipse.unittest.model.ITestElement

`getData, getDisplayName, getDuration, getFailureTrace, getId, getParent, getTestName, getTestRunSession`

### Method Detail

#### isIgnored

    boolean isIgnored()

Indicates if the test case was ignored

Returns:
  true in case of the test case was ignored, otherwise false

#### isDynamicTest

    boolean isDynamicTest()

Indicates if the test case is dynamic

Returns:
  true in case of dynamic test case element, otherwise false